Skip to main content
POST
Batch assign/unassign tier structures

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Identifies the loyalty program. Format lprg_[a-f0-9]+.

Pattern: ^lprg_[a-f0-9]+$

Body

application/json

Request body schema for POST /v2/loyalties/programs/{programId}/tier-structures/batch.

assign
object[] | null

Tier structures to assign.

Maximum array length: 10
unassign
object[] | null

Tier structures to unassign.

Maximum array length: 10
options
object | null

Batch behavior. Defaults to strict mode when omitted.

Response

Batch processing result.

Response body schema for POST /v2/loyalties/programs/{programId}/tier-structures/batch.

assigned
object[] | null

Assignments created by the batch, or null when no assign operations were requested.

unassigned
object[] | null

Assignments removed by the batch, or null when no unassign operations were requested.